GX Developer 9.4 is now available

This release keeps pace with the release of Geosoft version 9.4 desktop solutions for Oasis montaj, Target, and Target for ArcGIS.

See the RELEASE NOTES for more information.

Python Developers To install a new Python environment see Python Installation and Configuration.

To update an existing Geosoft Python environment:
pip uninstall geosoft
pip install geosoft
Geosoft logo

Comments

  • I have successfully installed GX Developer 9.4 on two PCs that were running Oasis 9.3.x in the past. I am now trying to install it on a new PC with Oasis 9.4 and keep on getting the same error whether I try the install from the Oasis python menu or manually (pip install geosoft).

    The error is: " Could not find a version that satisfies the requirement geosoft (from versions: ) No matching distribution found for Geosoft).

    I have tried uninstalling Oasis 9.4, installing Oasis 9.3 and trying pip install on that. It gave the same error.

    The Python versions I have installed is Anaconda Python 3.7.0, 64 bit.

    I would appreciate any ideas to help.
  • Hi Magdel,

    The reason for this is that the 9.4 release does not support Python 3.7 yet. The upcoming release 9.5 will support Python 3.7.

    Jacques
  • Thanks you, Jacques. That solved the problem.

    Magdel
This discussion has been closed.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!